%define name gnokii
%define ver 0.3.1
%define rel 1

Summary: Unix tool suite for Nokia mobile phones
Name: %{name}
Version: %{ver}
Release: %{rel}
Copyright: GPL
Group: Applications/Communications
Source: ftp://multivac.fatburen.org/pub/gnokii/%{name}-%{version}.tar.gz
Patch: gnokii-makefile.patch
Url: http://gnokii.org
BuildRoot: /var/tmp/%{name}-%{version}-root

%description
Gnokii is a Unix tool suite for Nokia mobile phones.

%prep

%setup -q
%patch

%build
make DESTDIR=/usr

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/{etc,usr/{bin,sbin,lib/gnokii}}
make install DESTDIR=$RPM_BUILD_ROOT/usr
cp sample.gnokiirc $RPM_BUILD_ROOT/etc/gnokiirc

%pre
if [ "$1" = 1 ]; then
  /usr/sbin/groupadd -r -f gnokii >/dev/null 2>&1
fi

%postun
if [ "$1" = 0 ]; then
  /usr/sbin/groupdel gnokii >/dev/null 2>&1
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING CREDITS MANIFEST README README-3810 README-6110 sample.gnokiirc
%doc gettext-howto gnokii.nol gnokii-ir-howto.txt
/usr/bin/*
%attr(4754, root, gnokii) /usr/sbin/*
%config /etc/gnokiirc

%changelog
* Wed Jan 05 2000 Ngo Than <than@redhat.de>
- initial RPM for powertools 6.2
